using InABox.Clients;
using InABox.Core;

namespace InABox.Rpc
{
    public class RpcInfoResult : IRpcCommandResult
    {
        
        public DatabaseInfo? Info { get; set; }
        
        public void SerializeBinary(CoreBinaryWriter writer)
        {
            writer.WriteBinaryValue(Info);
        }

        public void DeserializeBinary(CoreBinaryReader reader)
        {
            Info = reader.ReadBinaryValue<DatabaseInfo>();
        }

        public string? FullDescription() => null;
    }
}